Page MenuHomePhabricator

Pop-up context menu shows redlinks in Citoid-created citation
Closed, ResolvedPublic1 Story Points

Description

See image at https://commons.wikimedia.org/wiki/File:Citoid_results_in_VisualEditor_Screen_Shot_2015-04-02.png ISBN, DOI, and similar internal links are red. This doesn't appear when the citation is filled out via the "Cite web" option.

Event Timeline

Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF added a project: Citoid.
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2015, 11:33 PM
Catrope assigned this task to Mooeypoo.Apr 6 2015, 11:39 PM
Catrope set Security to None.
Mvolz moved this task from Service: Scraper & Validation to Extension on the Citoid board.

Can you tell me what input you put into citoid to get this? I think I know what may be happening, but for some reason I'm having trouble reproducing on my local install. This is in enwiki I assume?

The diff for the above image: http://www.ncbi.nlm.nih.gov/pubmed/23175147

I think one of the upcoming fixes might actually fix this, but I will do some digging to make sure.

Jdforrester-WMF triaged this task as Normal priority.Apr 8 2015, 3:30 PM
Jdforrester-WMF edited a custom field.

Change 202942 had a related patch set uploaded (by Mooeypoo):
Add reference to html document when creating surface

https://gerrit.wikimedia.org/r/202942

Jdforrester-WMF closed this task as Resolved.Apr 8 2015, 11:08 PM
Jdforrester-WMF moved this task from Backlog to Done on the VisualEditor 2014/15 Q4 blockers board.

Change 202942 merged by jenkins-bot:
Add reference to HTML document when creating surface

https://gerrit.wikimedia.org/r/202942

Checked the fix in beta.

Note for testing: when checking in production - PMID, PMC, ISBN, and DOI are currently inserted as red, but turned blue after saving.
PMID, PMC, ISBN, and DOI should be inserted as blue initially.

Jdforrester-WMF moved this task from To Triage to Q4 on the VisualEditor board.Apr 17 2015, 11:50 PM